import apiEndpoints from '../apiEndpoints';

export const getAllProducts = async (pageIndex) => {
  const response = await fetch(
    `http://localhost:3000${apiEndpoints.products}?page=${pageIndex}`
  );

  const data = await response.json();

  if (!response.ok) {
    throw new Error(data.message || 'Something went wrong!');
  }

  return data;
};
